package com.brilliance.isc.tool.compareviewpage;

import java.io.File;
import java.util.List;
import java.util.Map;

public class CompareMain {
    public static void main(String[] args) {
        FileScanner fileScanner = new FileScanner();
        final Map<String, List<File>> files = fileScanner.getTargetFiles();// 获取文件夹中所有文件
        SourceConfig.transcode.forEach((key, value) -> {// 根据交易码判断key value对应文件夹内容是否一样
            // 不同交易放在同一个文件夹中
            File transFile = new File(SourceConfig.targetFolder, key);
            transFile.mkdirs();
            // 判断是否存在
            List<File> leftFileList = files.get(key);
            FileCompare fileCompare = new FileCompare();
            fileCompare.trans_code = key;
            leftFileList.forEach((file -> {
                File rightFile = new File(file.getAbsolutePath().replace(key, value));
                if (rightFile.exists()) {
                    fileCompare.file_name = value + "_" + file.getName();
                    fileCompare.compareFile(file, rightFile);
                }
            }));
        });
    }
}
